> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar mídias do fluxo

> Retorna os arquivos de áudio e documento enviados para o fluxo.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /flow/{flowId}/medias
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /flow/{flowId}/medias:
    get:
      tags:
        - Flow
      summary: Listar mídias do fluxo
      description: Retorna os arquivos de áudio e documento enviados para o fluxo.
      parameters:
        - schema:
            type: string
          in: path
          name: flowId
          required: true
          description: ID do fluxo.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    flowId:
                      type: string
                    url:
                      type: string
                    mediaType:
                      type: string
                      enum:
                        - audio
                        - image
                        - video
                        - document
                    fileName:
                      type: string
                  required:
                    - flowId
                    - url
                    - mediaType
                    - fileName
                  additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````